<!--
  Generated template for the LoginFinpayPage page.

  See http://ionicframework.com/docs/components/#navigation for more info on
  Ionic pages and navigation.
-->
<ion-header>

  <ion-navbar>
    <ion-title class="title-after-back">
		Confirmation de paiement par FinPAY
	</ion-title>
	<button ion-button="" menuToggle="">
			<ion-icon name="menu"></ion-icon>
	</button>
	<img src="assets/icon/logo.png" alt="finpay" class="right-finpay"/>
  </ion-navbar>

</ion-header>

<ion-content >
	<form [formGroup]="form">
		<ion-grid class="grid-center-md grid-center-ios">
			<ion-row justify-content-center class="row-top">
				<ion-col col-8 col-sm col-auto >
					<img src="assets/imgs/bee-logo.png" class="logo-reservation">
					<h1 class="title_header">Paiement par FinPAY</h1>
				</ion-col>
			</ion-row>
			<ion-row justify-content-center (tap) ="account()">
				<ion-col col-12 col-sm col-auto >
					<ion-list class="list_" padding-top maring-top>
						<ion-card id="details">	
							<ion-card-content>
								<p >
									<b>Votre Solde :</b> {{ availableBalance | number: '2.' }}  {{ currency }} 
								</p>
							</ion-card-content>
						</ion-card>	
					</ion-list>
				</ion-col>
			</ion-row>
			<ion-row justify-content-center class="center-block-reservation" *ngIf="params" >
				<ion-col col-12 col-sm col-auto>
					<ion-list class="list_" padding-top maring-top>
						<ion-card id="details">	
						<ion-card-content>
							
							<p>
								<b> Détails de votre paiement</b>  
							</p>

							<p>
								<b>Coopérative : </b> {{details?.cooperative?.name}}
							</p>

							<p>
								<b>Montant : </b> {{details?.reservation?.amount}} Ar
							</p>

							<p>
								<b>Date de voyage : </b> {{details?.date | date: 'dd/MM/yyyy'}}
							</p> 

							<p>
								<b>Heure de départ : </b> {{details?.hour}}
							</p>

							<p>
								<b>Véhicule N° : </b> {{details?.car?.matricule}}
							</p>
							
							<p *ngIf="broker && details?.client?.name_reserver">
								<b>Nom de client : </b>{{details?.client?.name_reserver}}
							</p>

							<p *ngIf="broker && etails?.client?.cin_reserver">
								<b>Numero CIN de client : </b>{{details?.client?.cin_reserver}}
							</p>

							<p>
								<b>Nombre de place : </b>{{details?.reservation?.nbplace}}
							</p>

							<p>
								
							</p>

							<p *ngIf="details?.reservation?.status == 'pending' && avanceTransfered == false" >
								<b>Statut de paiement : </b>
								En attente de paiement<br>
								<b> reste à payé : {{details?.reservation?.rest}} Ar</b>
							</p>

							<p *ngIf="details?.reservation?.status == 'pending' && avanceTransfered == true" >
								<b>Statut de paiement : </b>
								En attente de paiement<br>
								<b> Avance à payé : {{amountTransfered}} Ar</b>
							</p>

							<p *ngIf="details?.reservation?.status == 'completed' " >
								<b>Statut de paiement : </b>
								Payé
							</p>
						</ion-card-content>
					</ion-card>	
					</ion-list>
				</ion-col>
			</ion-row>	

			<ion-row *ngIf="params">
				<ion-col col-12 col-sm col-auto >
					<button ion-button  block (click)="verifie()" class="button-md button-ios">
						<ion-icon item-start name="checkmark-circle"></ion-icon>
						PAY
					</button>
				</ion-col>
			</ion-row>			
		</ion-grid>
	</form>
</ion-content>
